package aeusadmin

var (
	vueTemplate = `
<template>
    <viewer 
        :title="title" 
        :module-name="moduleName" 
        :table-name="tableName" 
        :apiPrefix="apiPrefix" 
        :permissions="permissions"
        :disable-toolbar="false"
        default-sortable="id"
        {{if .Readonly}}:readonly="true"{{end}}
    >
    </viewer>
</template>

<script setup>
import Viewer from '@/components/fragment/Viewer.vue';
import { computed } from 'vue';

const props = defineProps({
    title: {
        type: String,
    }
})

const permissions  = computed(() => {
    return {
        {{range $key, $value := .Permissions}}{{$key}}: "{{$value}}",
        {{end}}
    }
})

const apiPrefix = computed(() => {
    return '{{.ApiPrefix}}'
})

const moduleName = computed(() => {
    return '{{.ModuleName}}'
})

const tableName = computed(() => {
    return '{{.TableName}}'
})

</script>
`
)
